util.settings

## Class StringProperty

- java.lang.Object
- - util.settings.Property
  - - util.settings.StringProperty

- Direct Known Subclasses:
    JGoodiesThemeProperty

      public class StringProperty
      extends Property

  Author:
    Til Schneider, www.murfman.de

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringProperty(PropertyManager manager, java.lang.String key, java.lang.String defaultValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `clearCache()`
    `java.lang.String` | `getDefault()`
    `java.lang.String` | `getString()`
    `void` | `resetToDefault()` reset this option to the default value
    `void` | `setDefault(java.lang.String defaultValue)` Set the Default-Value of this Class
    `void` | `setString(java.lang.String value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class util.settings.Property

      `addChangeListener, fireChangeEvent, getKey, getProperty, removeChangeListener, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringProperty

          public StringProperty(PropertyManager manager,
                        java.lang.String key,
                        java.lang.String defaultValue)

  - ### Method Detail

    - #### getDefault

          public java.lang.String getDefault()

    - #### getString

          public java.lang.String getString()

    - #### setString

          public void setString(java.lang.String value)

    - #### clearCache

          protected void clearCache()

      Specified by:
        `clearCache` in class `Property`

    - #### setDefault

          public void setDefault(java.lang.String defaultValue)

      Set the Default-Value of this Class
      Parameters:
        `defaultValue` - Default Value
      Since:
        2.5

    - #### resetToDefault

          public void resetToDefault()

      reset this option to the default value
      Since:
        3.0

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)